Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#2268 closed defect (fixed)

HslColorPicker circular dependancy breaks a Dojo build

Reported by: shaneosullivan1@… Owned by: bill
Priority: high Milestone: 0.9
Component: BuildSystem Version: 0.4.1
Keywords: HslColorPicker widget Cc:
Blocked By: Blocking:

Description

The file src/widget/HslColorPicker.js has the statement

dojo.require("dojo.widget.HslColorPicker?")

in it. When this file is included in a profile file for a custom build, this circular dependancy causes a java.lang.StackOverflowError?.

Removing this line fixes the problem

Change History (4)

comment:1 Changed 13 years ago by James Burke

Something else seems wrong with this file. It uses this provide statement:

dojo.provide("dojo.widget.svg.HslColorPicker?");

However, it is defined in src/widget/HslColorPicker. This seems to be a violation of the module resource lookup. This module should never resolve in a non-build environment.

It seems like this file should either be moved to src/widget/svg/HslColorPicker.js or change the dojo.provide() statement to:

dojo.provide("dojo.widget.HslColorPicker?");

I think it would also be clearer then to change the defineWidget call to use "dojo.widget.HslColorPicker?", but I'm not sure how that meshes with the "svg" renderer concept.

comment:2 Changed 13 years ago by bill

Owner: changed from alex to bill
Status: newassigned

comment:3 Changed 13 years ago by bill

Resolution: fixed
Status: assignedclosed

(In [6976]) Fixes #2268 (dojo.provide and dojo.require calls were messed, confusing package name with widget name)

comment:4 Changed 13 years ago by alex

Resolution: fixed

(In [6979]) Merged revisions 6946-6978 via svnmerge from svn+ssh://alex@svn.dojotoolkit.org/var/src/dojo/trunk

........

r6946 | peller | 2006-12-29 15:17:41 -0800 (Fri, 29 Dec 2006) | 1 line

workaround for saxon on alternate JVMs

........

r6949 | bill | 2006-12-30 00:26:34 -0800 (Sat, 30 Dec 2006) | 7 lines

Improve page load time be defering rendering of hidden sections (currently affects and tooltips and dialogs, but will next do hidden tab panes / accordion panels)

ContentPane?: main changes are here; I set isContainer:false, and then manually parse for subwidgets on first display.

Tooltip: removed template since we can use the original DOM node.

Dialog: defered some code execution until dialog is first shown, including fixing a bug where href was downloaded on page load rather than at Dialog display time.

........

r6950 | bill | 2006-12-30 02:37:41 -0800 (Sat, 30 Dec 2006) | 1 line

defer rendering of deselected tabs until they are selected

........

r6951 | bill | 2006-12-30 04:05:56 -0800 (Sat, 30 Dec 2006) | 1 line

fix memory leak from previous checkin

........

r6952 | jburke | 2006-12-30 07:49:04 -0800 (Sat, 30 Dec 2006) | 1 line

Fixes #2247. RichText? can now work in xdomain loading

........

r6956 | alex | 2006-12-30 13:43:33 -0800 (Sat, 30 Dec 2006) | 2 lines

bloat

........

r6959 | alex | 2006-12-30 15:01:34 -0800 (Sat, 30 Dec 2006) | 4 lines

the style guide is NOT a fucking "suggestion"

NO CONDITIONALS WITHOUT CURLY BRACES.

........

r6963 | alex | 2006-12-30 22:10:51 -0800 (Sat, 30 Dec 2006) | 2 lines

let the profile specify the loader to use

........

r6967 | jburke | 2007-01-02 16:41:06 -0800 (Tue, 02 Jan 2007) | 1 line

Build will fail if the build path before dojo contains a module prefix dir (like if it has src in it)

........

r6968 | bill | 2007-01-02 16:58:20 -0800 (Tue, 02 Jan 2007) | 1 line

fix display of drop down items

........

r6969 | bill | 2007-01-02 17:34:04 -0800 (Tue, 02 Jan 2007) | 1 line

fix check for undefined

........

r6970 | bill | 2007-01-02 17:57:10 -0800 (Tue, 02 Jan 2007) | 3 lines

Rework hiearchy so Menu2Bar isn't a PopupContainer? (since it doesn't popup). Fixes problem that after previous changes, Menu2Bar was being initialized as display:none.

........

r6971 | skinner | 2007-01-02 19:54:58 -0800 (Tue, 02 Jan 2007) | 1 line

more dojo.data work -- a new dojo.data.DeliciousStore? that Mignon ported from dojo.data.old, and several new unit tests

........

r6972 | skinner | 2007-01-02 20:01:59 -0800 (Tue, 02 Jan 2007) | 1 line

deleted the entire src/data/old and tests/data/old directories -- old experimental dojo.data code from early 2006, now obsolete

........

r6973 | jburke | 2007-01-02 21:44:06 -0800 (Tue, 02 Jan 2007) | 1 line

Fixes #2197: using dojo.uri.moduleUri instead of dojo.uri.dojoUri to enable xdomain image loading, and to fit better with the module URI concept.

........

r6974 | jburke | 2007-01-02 22:18:37 -0800 (Tue, 02 Jan 2007) | 1 line

Removing docs and website tasks since they are no longer useful. No more -Ddocless=true now for builds.

........

r6975 | jburke | 2007-01-02 22:20:30 -0800 (Tue, 02 Jan 2007) | 1 line

Missed a comment update

........

r6976 | bill | 2007-01-03 18:27:51 -0800 (Wed, 03 Jan 2007) | 2 lines

Fixes #2268 (dojo.provide and dojo.require calls were messed, confusing package name with widget name)

........

r6977 | bill | 2007-01-03 19:39:25 -0800 (Wed, 03 Jan 2007) | 3 lines

Fixes #2275: programatically created ContentPane?'s are <span> objects, so they need certain CSS applied or the text is overflow:auto, which doesn't work well when ContentPane? is a child of SplitContainer?, etc.

........

Note: See TracTickets for help on using tickets.